# $Revision: 1.7 $, $Date: 2004/10/31 21:20:04 $
Summary:	Program for drawing celestial maps
Summary(pl):	Program do rysowania map nieba
Name:		pp3
Version:	1.3.3
Release:	1
License:	distributable (see COPYING for details)
Group:		Applications/Science
Source0:	http://dl.sourceforge.net/pp3/%{name}-%{version}.tar.bz2
# Source0-md5:	dbea2818657c3a26587d72ff5ddb9545
Source1:	http://dl.sourceforge.net/pp3/%{name}.pdf
# Source1-md5:	2656f4e125afb487bf13af429751458e
Patch0:		%{name}-makefile.patch
URL:		http://pp3.sourceforge.net/
Requires:	tetex-dvips
Requires:	tetex-fonts-jknappen
Requires:	tetex-format-latex
Requires:	tetex-latex-ams
Requires:	tetex-latex-psnfss
Requires:	tetex-metafont
Requires:	tetex-tex-pstricks
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
There are many programs that can create stellar maps. But none of them
reaches PP3's typographic and graphical quality. In contrast to other
programs PP3 produces vector images (e.g. PDFs) rather than mere
bitmaps. Therefore it is perfectly suited for creating illustrations
for books or other print media. But even converted to bitmaps for web
pages, it exceeds usual quality.

%description -l pl
Istnieje wiele programw, ktre potrafi tworzy mapy nieba. Ale aden
z nich nie dorwnuje PP3 jakoci generowanych obrazw. W
przeciwiestwie do innych tego typu programw PP3 tworzy zamiast
zwykych bitmap obrazy wektorowe (na przykad w formacie PDF). Dlatego
wietnie nadaje si do tworzenia ilustracji do ksiek oraz innych
publikacji przeznaczonych do druku. Jednake nawet po konwersji do
bitmapy do wykorzystania przykadowo na stronie WWW uzyskuje
zadowalajc jako.

%package doc
Summary:	PP3 documentation in PDF and examples
Summary(pl):	Dokumentacja PP3 w formacie PDF i przykady
Group:		Applications/Science

%description doc
There are many programs that can create stellar maps. But none of them
reaches PP3's typographic and graphical quality. In contrast to other
programs PP3 produces vector images (e.g. PDFs) rather than mere
bitmaps. Therefore it is perfectly suited for creating illustrations
for books or other print media. But even converted to bitmaps for web
pages, it exceeds usual quality.

This package contains PP3 documentation in PDF and examples.

%description doc -l pl
Istnieje wiele programw, ktre potrafi tworzy mapy nieba. Ale aden
z nich nie dorwnuje PP3 jakoci generowanych obrazw. W
przeciwiestwie do innych tego typu programw PP3 tworzy zamiast
zwykych bitmap obrazy wektorowe (na przykad w formacie PDF). Dlatego
wietnie nadaje si do tworzenia ilustracji do ksiek oraz innych
publikacji przeznaczonych do druku. Jednake nawet po konwersji do
bitmapy do wykorzystania przykadowo na stronie WWW uzyskuje
zadowalajc jako.

Pakiet ten zawiera dokumentacj PP3 w formacie PDF oraz przykady.

%prep
%setup -q
%patch0 -p0

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/pp3

install pp3 $RPM_BUILD_ROOT%{_bindir}
install *.dat $RPM_BUILD_ROOT%{_datadir}/pp3

cp %{SOURCE1} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README WHATSNEW
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/pp3
%{_datadir}/pp3/*.dat

%files doc
%defattr(644,root,root,755)
%doc pp3.pdf examples

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pp3.spec,v $
Revision 1.7  2004/10/31 21:20:04  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/09/09 18:07:53  qboosh
- little more informative License, formatting, simplifed -doc creation

Revision 1.5  2004/09/09 10:14:14  snurf
- added doc subpackage with pdf documentation
- examples moved to doc subpackage
- rel. 1

Revision 1.4  2004/09/09 09:23:00  snurf
- descs added

Revision 1.3  2004/09/09 09:00:59  snurf
- added missing Requires

Revision 1.2  2004/09/09 08:30:15  snurf
- fixed license field

Revision 1.1  2004/09/09 08:26:50  snurf
- not finished yet, working in progress, but works
- initial pld release
